org.eclipse.net4j.util.ui.container

## Interface IElementWizard

- All Known Implementing Classes:
    ElementWizard

      public interface IElementWizard

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(Composite parent, IManagedContainer container, String productGroup, String factoryType, String defaultDescription, ValidationContext context)`
    `String` | `getResultDescription()`
    `Object` | `getResultElement()`

- - ### Method Detail

    - #### create

          void create(Composite parent,
                      IManagedContainer container,
                      String productGroup,
                      String factoryType,
                      String defaultDescription,
                      ValidationContext context)

    - #### getResultDescription

          String getResultDescription()

    - #### getResultElement

          Object getResultElement()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html